Bug 822997 - Review Request: erlang-eper - Erlang performance and debugging tools
Review Request: erlang-eper - Erlang performance and debugging tools
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On: 639263 823017
Blocks: 652629
  Show dependency treegraph
 
Reported: 2012-05-18 14:26 EDT by Peter Lemenkov
Modified: 2012-07-24 15:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-14 17:53:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
michel: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2012-05-18 14:26:21 EDT
Spec URL: http://peter.fedorapeople.org/erlang-eper.spec
SRPM URL: http://peter.fedorapeople.org/erlang-eper-0.60-1.20120501gitc592ef2.fc18.src.rpm
Description: This is a loose collection of Erlang Performance related tools:

 * sherk - a profiler, similar to Linux oprofile or MacOs shark
 * gperf - a graphical performance monitor; shows CPU, memory and network usage
 * dtop  - similar to unix top
 * redbug- similar to the OTP dbg application, but safer, better etc.

This is one of the requirements for Riak.

NotReady for now since it depends on erlang-gtknode which isn't packaged yet.
Comment 1 Peter Lemenkov 2012-05-19 00:33:48 EDT
Ok, erlang-gtknode is packaged now but I'd like to keep NotReady until it hits Rawhide at least.
Comment 2 Peter Lemenkov 2012-06-10 02:46:59 EDT
Clearing up NotReady flag - erlang-gtknode is packaged.

Koji scratchbuild for Rawhide:
* http://koji.fedoraproject.org/koji/taskinfo?taskID=4145360
Comment 3 Michel Alexandre Salim 2012-06-19 07:21:57 EDT
Taking this review
Comment 4 Michel Alexandre Salim 2012-06-20 00:25:23 EDT
There's a newer upstream version -- could you package that, and also drop %defattr, use either RPM_BUILD_ROOT or buildroot consistently, and drop the unused declaration of patchlevel?



Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[!]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
     Also, %{patchnumber} is not used
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
     Not checked yet -- and there's no unit tests bundled
[!]: SHOULD Latest version is packaged.
     Latest commit is 29edce5290
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[!]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
See: http://fedoraproject.org/wiki/Packaging/Guidelines#Architecture_Support
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
See: http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None
[!]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros
[!]: SHOULD Latest version is packaged.
     Latest commit is 29edce5290
[!]: SHOULD %check is present and all tests pass.

Rpmlint
-------
Checking: 
0 packages and 0 specfiles checked; 0 errors, 0 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
Provides
--------
MD5-sum check
-------------


Generated by fedora-review 0.2.0git
External plugins:
Comment 5 Peter Lemenkov 2012-07-03 07:01:12 EDT
(In reply to comment #4)
> There's a newer upstream version -- could you package that, and also drop
> %defattr, use either RPM_BUILD_ROOT or buildroot consistently, and drop the
> unused declaration of patchlevel?

Done. This package is not intended for EL5 so all messages regarding EL5 support are safe to ignore.

* http://peter.fedorapeople.org/erlang-eper.spec
* http://peter.fedorapeople.org/erlang-eper-0.60-2.20120621git16bae32.fc18.src.rpm
Comment 6 Michel Alexandre Salim 2012-07-03 09:35:08 EDT
I think the idea is that if you don't support EL5, you should drop the sections only relevant to EL5 from the spec :)
Comment 7 Michel Alexandre Salim 2012-07-04 10:18:38 EDT
OK, I've just gone through the full review, results below. APPROVED - but please remove the spec sections that are only needed for RHEL5 (see list of issues below)

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[!]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
See: http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None
[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking original sources for licenses No licenses found. Please
     check the source files for licenses manually.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#ValidLicenseShortNames

Rpmlint
-------
Checking: 
0 packages and 0 specfiles checked; 0 errors, 0 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
Provides
--------
MD5-sum check
-------------


Generated by fedora-review 0.2.0git
External plugins:
Comment 8 Peter Lemenkov 2012-07-05 06:02:43 EDT
(In reply to comment #7)
> OK, I've just gone through the full review, results below. APPROVED - but
> please remove the spec sections that are only needed for RHEL5 (see list of
> issues below)

Thank for reviewing this! I'll drop EL5-related stuff before upload.


New Package SCM Request
=======================
Package Name: erlang-eper
Short Description: Erlang performance and debugging tools
Owners: peter
Branches: f16 f17 el6
InitialCC:
Comment 9 Jon Ciesla 2012-07-06 09:10:54 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-07-06 10:29:48 EDT
erlang-eper-0.60-2.20120621git16bae32.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/erlang-eper-0.60-2.20120621git16bae32.fc16
Comment 11 Fedora Update System 2012-07-06 10:29:58 EDT
erlang-eper-0.60-2.20120621git16bae32.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/erlang-eper-0.60-2.20120621git16bae32.fc17
Comment 12 Fedora Update System 2012-07-06 10:30:08 EDT
erlang-eper-0.60-2.20120621git16bae32.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/erlang-eper-0.60-2.20120621git16bae32.el6
Comment 13 Fedora Update System 2012-07-06 17:26:18 EDT
erlang-eper-0.60-2.20120621git16bae32.fc16 has been pushed to the Fedora 16 testing repository.
Comment 14 Fedora Update System 2012-07-14 17:53:21 EDT
erlang-eper-0.60-2.20120621git16bae32.fc16 has been pushed to the Fedora 16 stable repository.
Comment 15 Fedora Update System 2012-07-14 17:53:30 EDT
erlang-eper-0.60-2.20120621git16bae32.fc17 has been pushed to the Fedora 17 stable repository.
Comment 16 Fedora Update System 2012-07-24 15:36:01 EDT
erlang-eper-0.60-2.20120621git16bae32.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.